## fcl 0.6.1

=== CMakeLists.txt ===
# -*- mode: cmake -*-
# vi: set ft=cmake :

# Copyright (c) 2012, Willow Garage, Inc.
# Copyright (c) 2016, Toyota Research Institute, Inc.
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are met:
#
# * Redistributions of source code must retain the above copyright notice, this
#   list of conditions and the following disclaimer.
#
# * Redistributions in binary form must reproduce the above copyright notice,
#   this list of conditions and the following disclaimer in the documentation
#   and/or other materials provided with the distribution.
#
# * Neither the name of the copyright holder nor the names of its
#   contributors may be used to endorse or promote products derived from
#   this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
# AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE
# LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
# POSSIBILITY OF SUCH DAMAGE.

if(APPLE)
  cmake_minimum_required(VERSION 3.0.0)
elseif(MSVC)
  cmake_minimum_required(VERSION 3.1.3)
else()
  cmake_minimum_required(VERSION 2.8.12)
endif()

project(fcl CXX)

# Compiler ID for Apple Clang is now AppleClang.
if(POLICY CMP0025)
  cmake_policy(SET CMP0025 NEW)
endif()

include(CTest)

configure_file(CTestCustom.cmake.in CTestCustom.cmake @ONLY)

option(FCL_ENABLE_PROFILING "Enable profiling" OFF)
option(FCL_TREAT_WARNINGS_AS_ERRORS "Treat warnings as errors" OFF)
# Option for some bundle-like build system in order not to expose
# any FCL binary symbols in their public ABI
option(FCL_HIDE_ALL_SYMBOLS "Hide all binary symbols" OFF)

# set the default build type
if(NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES)
  set(CMAKE_BUILD_TYPE Release CACHE STRING
    "Choose the type of build; options are Debug Release RelWithDebInfo MinSizeRel."
    FORCE)
  set_property(CACHE CMAKE_BUILD_TYPE PROPERTY
    STRINGS Debug Release RelWithDebInfo MinSizeRel)
endif()

# This shouldn't be necessary, but there has been trouble
# with MSVC being set off, but MSVCXX ON.
if(MSVC OR MSVC90 OR MSVC10)
    set(MSVC ON)
endif (MSVC OR MSVC90 OR MSVC10)

set(LIBRARY_OUTPUT_PATH ${PROJECT_BINARY_DIR}/lib)
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/CMakeModules")
include(CMakePackageConfigHelpers)
include(GenerateExportHeader)
include(GNUInstallDirs)
include(CompilerSettings)
include(FCLVersion)

if(MSVC OR IS_ICPC)
  option(FCL_STATIC_LIBRARY "Whether the FCL library should be static rather than shared" ON)
else()
  option(FCL_STATIC_LIBRARY "Whether the FCL library should be static rather than shared" OFF)
endif()

# Whether to enable SSE
set(SSE_FLAGS "")
option(FCL_USE_X64_SSE "Whether FCL should x64 SSE instructions" ON)
if(FCL_USE_X64_SSE)
  if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    set(SSE_FLAGS -mfpmath=sse -msse -msse2 -msse3 -mssse3)
  elseif(MSVC)
    # Win64 will add the flag automatically
    if(CMAKE_VS_PLATFORM_NAME STREQUAL "Win32")
      set(SSE_FLAGS /arch:SSE2)
    endif()
  endif()
  add_compile_options(${SSE_FLAGS})
endif()

option(FCL_USE_HOST_NATIVE_ARCH "Whether FCL should use cflags from the host used to compile" OFF)
if (FCL_USE_HOST_NATIVE_ARCH)
  if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -march=native")
  else()
    message(WARNING "FCL_USE_HOST_NATIVE_ARCH is only supported in Linux. No effect.")
  endif()
endif()

# DEPRECATED: old cmake option. Not strictly correct from the semantic point of view
# it was activating march=native, not only SSE
option(FCL_USE_SSE "(deprecated) Whether FCL should SSE instructions" OFF)
if(FCL_USE_SSE)
  set(FCL_HAVE_SSE TRUE)
  if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
    message(WARNING "FCL_USE_SSE is deprecated please use: FCL_USE_X64_SSE or FCL_USE_HOST_NATIVE_ARCH. "
                    "If you want to replicate the previous behaviour use FCL_USE_HOST_NATIVE_ARCH")
    add_definitions(-march=native)
  elseif(MSVC)
    # Win64 will add the flag automatically
    if("$CMAKE_VS_PLATFORM_NAME}" STREQUAL "Win32")
      add_definitions(/arch:SSE2)
    endif()
  endif()
endif()

# Coveralls support
option(FCL_COVERALLS "Turn on coveralls support" OFF)
option(FCL_COVERALLS_UPLOAD "Upload the generated coveralls json" ON)
if(FCL_COVERALLS)
  include(Coveralls)
  coveralls_turn_on_coverage()
endif()

find_package(PkgConfig QUIET)
set(PKG_CONFIG_USE_CMAKE_PREFIX_PATH ON)

#===============================================================================
# Find required dependency Eigen3 (>= 3.0.5)
#
# If Eigen3 is not found, manually set the cache variable EIGEN3_INCLUDE_DIR
#===============================================================================
find_package(Eigen3 3.0.5 QUIET CONFIG)

# If Eigen3Config.cmake is not found, use the FindEigen3.cmake module
if(NOT Eigen3_FOUND)
  find_package(Eigen3 3.0.5 QUIET MODULE)
  set(Eigen3_FOUND ON)
endif()

if(Eigen3_FOUND)
  set(FCL_HAVE_EIGEN TRUE)
else()
  message(SEND_ERROR "EIGEN3 (>= 3.0.5) is required by FCL")
  set(FCL_HAVE_EIGEN FALSE)
endif()

#===============================================================================
# Find required dependency libccd
#
# If libccd is not found, manually set the cache variables CCD_INCLUDE_DIR and
# CCD_LIBRARY
#===============================================================================
find_package(ccd QUIET)

# If ccd-config.cmake is not found, use pkg-config and/or find_path() and
# find_library()
if(NOT ccd_FOUND)
  if(PKG_CONFIG_FOUND)
    pkg_check_modules(PC_CCD ccd)
    pkg_check_modules(PC_LIBCCD libccd)
  endif()

  find_path(CCD_INCLUDE_DIR ccd/ccd.h
    HINTS "${PC_CCD_INCLUDE_DIRS}" "${PC_LIBCCD_INCLUDE_DIRS}")

  # Using find_library() even if pkg-config is available ensures that the full
  # path to the ccd library is available in CCD_LIBRARIES
  find_library(CCD_LIBRARY ccd
    HINTS "${PC_CCD_LIBRARY_DIRS}" "${PC_LIBCCD_LIBRARY_DIRS}")

  # libccd links to LibM on UNIX.
  if(CYGWIN OR NOT WIN32)
    find_library(M_LIBRARY m)
  endif()

  if(CCD_INCLUDE_DIR AND CCD_LIBRARY)
    set(CCD_INCLUDE_DIRS "${CCD_INCLUDE_DIR}")
    set(CCD_LIBRARIES "${CCD_LIBRARY}" "${M_LIBRARY}")
    set(ccd_FOUND ON)

    mark_as_advanced(CCD_INCLUDE_DIR CCD_LIBRARY)
  endif()
endif()

if(NOT ccd_FOUND)
  message(FATAL_ERROR "CCD is required by FCL")
endif()

set(PKG_EXTERNAL_DEPS "ccd eigen3")

#===============================================================================
# Find optional dependency OctoMap
#
# If OctoMap is not found, manually set the cache variables OCTOMAP_INCLUDE_DIR
# and OCTOMAP_LIBRARY, OCTOMATH_LIBRARY, and OCTOMAP_VERSION
#===============================================================================
option(FCL_WITH_OCTOMAP "OctoMap library support" ON)
set(FCL_HAVE_OCTOMAP 0)

if(FCL_WITH_OCTOMAP)
  find_package(octomap QUIET)

  # Older versions of octomap-config.cmake may not define OCTOMAP_VERSION so
  # fall back to pkg-config
  if(NOT octomap_FOUND OR NOT OCTOMAP_VERSION)
    if(PKG_CONFIG_FOUND)
      pkg_check_modules(PC_OCTOMAP octomap)
    endif()

    find_path(OCTOMAP_INCLUDE_DIR octomap/octomap.h
      HINTS "${PC_OCTOMAP_INCLUDE_DIRS}")

    # Using find_library() even if pkg-config is available ensures that the full
    # paths to the octomap and octomath libraries are set in OCTOMAP_LIBRARIES
    find_library(OCTOMAP_LIBRARY octomap
      HINTS "${PC_OCTOMAP_LIBRARY_DIRS}")

    find_library(OCTOMATH_LIBRARY octomath
      HINTS "${PC_OCTOMAP_LIBRARY_DIRS}")

    # Use a cache variable so that the version can be manually set if pkg-config
    # is not available
    set(OCTOMAP_VERSION "${PC_OCTOMAP_VERSION}"
      CACHE STRING "octomap version (major.minor.patch)")

    if(OCTOMAP_INCLUDE_DIR AND OCTOMAP_LIBRARY AND OCTOMATH_LIBRARY AND OCTOMAP_VERSION)
      set(OCTOMAP_INCLUDE_DIRS "${OCTOMAP_INCLUDE_DIR}")
      set(OCTOMAP_LIBRARIES "${OCTOMAP_LIBRARY}" "${OCTOMATH_LIBRARY}")
      set(octomap_FOUND ON)

      mark_as_advanced(OCTOMAP_INCLUDE_DIR OCTOMAP_LIBRARY OCTOMATH_LIBRARY OCTOMAP_VERSION)
    else()
      set(octomap_FOUND OFF)
    endif()
  endif()

  if(octomap_FOUND)
    if(NOT OCTOMAP_MAJOR_VERSION AND NOT OCTOMAP_MINOR_VERSION AND NOT OCTOMAP_PATCH_VERSION)
      string(REPLACE "." ";" VERSION_LIST "${OCTOMAP_VERSION}")
      list(GET VERSION_LIST 0 OCTOMAP_MAJOR_VERSION)
      list(GET VERSION_LIST 1 OCTOMAP_MINOR_VERSION)
      list(GET VERSION_LIST 2 OCTOMAP_PATCH_VERSION)
    endif()

    set(FCL_HAVE_OCTOMAP 1)
    message(STATUS "FCL uses OctoMap")
    set(PKG_EXTERNAL_DEPS "${PKG_EXTERNAL_DEPS} octomap")
  else()
    message(STATUS "FCL does not use OctoMap")
  endif()
else()
  message(STATUS "FCL does not use OctoMap (as requested)")
endif()

if(TARGET ccd)
  set(FIND_DEPENDENCY_CCD "find_dependency(ccd)")
else()
  set(FIND_DEPENDENCY_CCD)
endif()

if(TARGET Eigen3::Eigen)
  set(FIND_DEPENDENCY_EIGEN3 "find_dependency(Eigen3)")
else()
  set(FIND_DEPENDENCY_EIGEN3)
endif()

if(TARGET octomap)
  set(FIND_DEPENDENCY_OCTOMAP "find_dependency(octomap)")
else()
  set(FIND_DEPENDENCY_OCTOMAP)
endif()

if(WIN32 AND NOT CYGWIN)
  set(FCL_INSTALL_CONFIGDIR CMake)
else()
  set(FCL_INSTALL_CONFIGDIR ${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME})
endif()

configure_package_config_file(fcl-config.cmake.in fcl-config.cmake
  INSTALL_DESTINATION ${FCL_INSTALL_CONFIGDIR}
  PATH_VARS CMAKE_INSTALL_INCLUDEDIR CMAKE_INSTALL_LIBDIR
)

write_basic_package_version_file(fcl-config-version.cmake
  VERSION ${FCL_VERSION}
  COMPATIBILITY AnyNewerVersion
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/fcl-config.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/fcl-config-version.cmake"
  DESTINATION ${FCL_INSTALL_CONFIGDIR}
  COMPONENT Development
)

# FCL's own include dir should be at the front of the include path
include_directories(BEFORE "include")
include_directories(BEFORE "${CMAKE_CURRENT_BINARY_DIR}/include")

add_subdirectory(src)
add_subdirectory(include/fcl)

set(PKG_DESC "Flexible Collision Library")
if(NOT MSVC)
    set(PKG_CFLAGS "-std=c++11")
endif()
configure_file(fcl.pc.in fcl.pc @ONLY)

install(FILES "${CMAKE_CURRENT_BINARY_DIR}/fcl.pc"
  DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig"
  COMPONENT Development
)

# Install catkin package.xml
install(FILES package.xml
  DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/${PROJECT_NAME}
  COMPONENT Development
)

# Add uninstall target
configure_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/CMakeModules/cmake_uninstall.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/CMakeModules/cmake_uninstall.cmake"
  IMMEDIATE @ONLY)
add_custom_target(uninstall
  "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/CMakeModules/cmake_uninstall.cmake")

set(FCL_BUILD_TESTS "DEFAULT" CACHE INTERNAL "Deprecated; use BUILD_TESTING instead.")

if(NOT FCL_BUILD_TESTS STREQUAL "DEFAULT")
  message(DEPRECATION "FCL_BUILD_TESTS is deprecated; use BUILD_TESTING instead.")
  if(FCL_BUILD_TESTS)
    set(_BUILD_TESTING ON)
  else()
    set(_BUILD_TESTING OFF)
  endif()
  set(BUILD_TESTING ${_BUILD_TESTING} CACHE BOOL "Build the testing tree." FORCE)
  unset(_BUILD_TESTING)
endif()

if(BUILD_TESTING AND NOT FCL_HIDE_ALL_SYMBOLS)
    add_subdirectory(test)
endif()

=== src/CMakeLists.txt ===
# -*- mode: cmake -*-
# vi: set ft=cmake :

# Copyright (c) 2012, Willow Garage, Inc.
# Copyright (c) 2017, Toyota Research Institute, Inc.
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are met:
#
# * Redistributions of source code must retain the above copyright notice, this
#   list of conditions and the following disclaimer.
#
# * Redistributions in binary form must reproduce the above copyright notice,
#   this list of conditions and the following disclaimer in the documentation
#   and/or other materials provided with the distribution.
#
# * Neither the name of the copyright holder nor the names of its
#   contributors may be used to endorse or promote products derived from
#   this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
# AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE
# LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
# POSSIBILITY OF SUCH DAMAGE.

if(CMAKE_VERSION VERSION_LESS 3.12)
  set(CONFIGURE_DEPENDS_OPTION)
else()
  set(CONFIGURE_DEPENDS_OPTION CONFIGURE_DEPENDS)
endif()

file(GLOB_RECURSE FCL_SOURCE_CODE ${CONFIGURE_DEPENDS_OPTION}
  "${CMAKE_CURRENT_SOURCE_DIR}/*.cpp"
)

if(FCL_STATIC_LIBRARY)
  add_library(${PROJECT_NAME} STATIC ${FCL_HEADERS} ${FCL_SOURCE_CODE})
else()
  add_library(${PROJECT_NAME} SHARED ${FCL_HEADERS} ${FCL_SOURCE_CODE})
endif()

# Be sure to pass to the consumer the set of SIMD used in the compilation
target_compile_options(${PROJECT_NAME} PUBLIC ${SSE_FLAGS})

set_target_properties(${PROJECT_NAME} PROPERTIES
  VERSION ${FCL_VERSION}
  SOVERSION ${FCL_ABI_VERSION})

# Hide symbols by default
#################################################
# Macro to check for visibility capability in compiler
# Original idea from: https://gitorious.org/ferric-cmake-stuff/
macro (check_compiler_visibility)
  include (CheckCXXCompilerFlag)
  check_cxx_compiler_flag(-fvisibility=hidden COMPILER_SUPPORTS_VISIBILITY)
endmacro()

if (UNIX)
  check_compiler_visibility()
  if (COMPILER_SUPPORTS_VISIBILITY)
    set_target_properties(${PROJECT_NAME}
      PROPERTIES COMPILE_FLAGS "-fvisibility=hidden")
  endif()
endif()

if (FCL_HIDE_ALL_SYMBOLS)
 add_definitions("-DFCL_STATIC_DEFINE")
endif()

# Use the IMPORTED target from newer versions of ccd-config.cmake if available,
# otherwise fall back to CCD_INCLUDE_DIRS and CCD_LIBRARIES
if(TARGET ccd)
  target_link_libraries(${PROJECT_NAME} PUBLIC ccd)
else()
  target_include_directories(${PROJECT_NAME} SYSTEM PUBLIC "${CCD_INCLUDE_DIRS}")
  target_link_libraries(${PROJECT_NAME} PUBLIC "${CCD_LIBRARIES}")
endif()

# Use the IMPORTED target from newer versions of Eigen3Config.cmake if
# available, otherwise fall back to EIGEN3_INCLUDE_DIRS from older versions of
# Eigen3Config.cmake or EIGEN3_INCLUDE_DIR from FindEigen3.cmake
if(TARGET Eigen3::Eigen)
  # Note that Eigen3::Eigen is an INTERFACE library, so the INCLUDE_DIRECTORIES
  # and INTERFACE_INCLUDE_DIRECTORIES are populated, but nothing is actually
  # linked
  target_link_libraries(${PROJECT_NAME} PUBLIC Eigen3::Eigen)
elseif(EIGEN3_INCLUDE_DIRS)
  target_include_directories(${PROJECT_NAME} SYSTEM PUBLIC "${EIGEN3_INCLUDE_DIRS}")
else()
  target_include_directories(${PROJECT_NAME} SYSTEM PUBLIC "${EIGEN3_INCLUDE_DIR}")
endif()

if(FCL_HAVE_OCTOMAP)
  # Use the IMPORTED target from newer versions of octomap-config.cmake if
  # available, otherwise fall back to OCTOMAP_INCLUDE_DIRS and OCTOMAP_LIBRARIES
  if(TARGET octomap)
    target_link_libraries(${PROJECT_NAME} PUBLIC octomap)
  elseif(OCTOMAP_INCLUDE_DIRS AND OCTOMAP_LIBRARIES)
    target_include_directories(${PROJECT_NAME} SYSTEM PUBLIC "${OCTOMAP_INCLUDE_DIRS}")
    target_link_libraries(${PROJECT_NAME} PUBLIC "${OCTOMAP_LIBRARIES}")
  endif()
endif()

target_include_directories(${PROJECT_NAME} INTERFACE
  $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>
  $<BUILD_INTERFACE:${PROJECT_BINARY_DIR}/include>
  $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>)

export(TARGETS ${PROJECT_NAME}
  FILE "${PROJECT_BINARY_DIR}/${PROJECT_NAME}-targets.cmake"
)

if(CMAKE_VERSION VERSION_LESS 3.12)
  set(NAMELINK_COMPONENT_OPTION)
else()
  set(NAMELINK_COMPONENT_OPTION NAMELINK_COMPONENT Development)
endif()

install(TARGETS ${PROJECT_NAME}
  EXPORT ${PROJECT_NAME}-targets
  ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
    COMPONENT Development
  LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
    COMPONENT Runtime ${NAMELINK_COMPONENT_OPTION}
  RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
    COMPONENT Runtime
  INCLUDES DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
)

install(EXPORT ${PROJECT_NAME}-targets
  DESTINATION ${FCL_INSTALL_CONFIGDIR}
  COMPONENT Development
)

# Setup the coveralls target and tell it to gather coverage data for all the lib sources.
if(FCL_COVERALLS)
  coveralls_setup("${FCL_HEADERS};${FCL_SOURCE_CODE};" ${FCL_COVERALLS_UPLOAD})
endif()

=== test/narrowphase/CMakeLists.txt ===
add_subdirectory(detail)

=== test/geometry/shape/CMakeLists.txt ===
set(tests
        test_convex.cpp
        test_capsule.cpp
        )

# Build all the tests
foreach(test ${tests})
    add_fcl_test(${test})
endforeach(test)

=== test/narrowphase/detail/CMakeLists.txt ===
add_subdirectory(convexity_based_algorithm)
add_subdirectory(primitive_shape_algorithm)

=== test/narrowphase/detail/convexity_based_algorithm/CMakeLists.txt ===
set(tests
    test_gjk_libccd-inl_epa.cpp
    test_gjk_libccd-inl_extractClosestPoints.cpp
    test_gjk_libccd-inl_gjk_doSimplex2.cpp
)

# Build all the tests
foreach(test ${tests})
  add_fcl_test(${test})
endforeach(test)

if(TARGET ccd)
    add_fcl_test(test_gjk_libccd-inl_signed_distance.cpp)
endif()

=== test/narrowphase/detail/primitive_shape_algorithm/CMakeLists.txt ===
set(tests
    test_sphere_box.cpp
    test_sphere_cylinder.cpp
)

# Build all the tests
foreach(test ${tests})
    add_fcl_test(${test})
endforeach(test)

=== debian/changelog ===
fcl (0.6.1-5) unstable; urgency=medium

  * Uploaded version to unstable.
  * Transition initiated to libfcl0.6.

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Thu, 31 Dec 2020 18:21:41 +0100

fcl (0.6.1-4) experimental; urgency=medium

  * Using parallel=1 on mipsel.
  * Added some magic rules to build it in mipsel. Thanks YunQiang Su.
  * Drop old dependencies.

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Tue, 29 Dec 2020 20:22:42 +0100

fcl (0.6.1-3) experimental; urgency=medium

  * Team upload.

  [ Timo Röhling ]
  * Bump to debhelper compat 13
  * Fix issue with uninstalled files
  * Add patches:
    - Fix typo
    - Call abort() instead of exit(1) on OOM condition
    - Replace memcpy with std::copy
  * Enable all hardening and reproducibility features
  * Ignore non-amd64 test failures for now

  [ Jochen Sprickerhof ]
  * bump policy version (no changes)
  * Update Homepage
  * minor cleanup

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 21 Nov 2020 10:09:00 +0100

fcl (0.6.1-2) experimental; urgency=medium

  * Team upload.
  * Add R³
  * add Salsa CI
  * Simplify d/rules

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 08 May 2020 15:15:20 +0200

fcl (0.6.1-1) experimental; urgency=medium

  [ Jose Luis Rivero ]
  * Migrate to debhelper-compat
  * Missing entries in copyright
  * Fix cmake bug disabling SSE detection which ends up in march=native
  * Update watch
  * New upstream version 0.6.1
  [ Jelmer Vernooĳ ]
  * Remove unnecessary 'Testsuite: autopkgtest' header.
  * Use secure copyright file specification URI.
  * Trim trailing whitespace.

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 10 Feb 2020 16:11:41 +0100

=== debian/control ===
Source: fcl
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jose Luis Rivero <jrivero@osrfoundation.org>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               cmake,
               pkg-config,
               libccd-dev,
               liboctomap-dev,
               libeigen3-dev
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/science-team/fcl
Vcs-Git: https://salsa.debian.org/science-team/fcl.git
Homepage: https://flexible-collision-library.github.io/

Package: libfcl0.6
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Flexible Collision Library - shared library
 FCL is a collision and proximity library that integrates several techniques for
 fast and accurate collision checking and proximity computation. The library is
 based on hierarchical representations and designed to perform multiple
 proximity queries on different model representations. The set of queries
 includes discrete collision detection, continuous collision detection,
 separation distance computation and penetration depth estimation. The input
 models may correspond to triangulated rigid or deformable models and
 articulated models. This package contains the library.

Package: libfcl-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libccd-dev,
         liboctomap-dev,
         libeigen3-dev,
         libfcl0.6 (= ${binary:Version}),
         ${misc:Depends}
Description: Flexible Collision Library - development files
 FCL is a collision and proximity library that integrates several techniques for
 fast and accurate collision checking and proximity computation. The library is
 based on hierarchical representations and designed to perform multiple
 proximity queries on different model representations. The set of queries
 includes discrete collision detection, continuous collision detection,
 separation distance computation and penetration depth estimation. The input
 models may correspond to triangulated rigid or deformable models and
 articulated models. This package contains the development files.

=== debian/tests/control ===
Tests: build
Depends: libfcl-dev, build-essential

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/fcl-$1\.tar\.gz/ \
     https://github.com/flexible-collision-library/fcl/tags .*v(\d\S+)\.tar\.gz

## fcl 0.7.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -31,13 +31,7 @@
 # ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 # POSSIBILITY OF SUCH DAMAGE.
 
-if(APPLE)
-  cmake_minimum_required(VERSION 3.0.0)
-elseif(MSVC)
-  cmake_minimum_required(VERSION 3.1.3)
-else()
-  cmake_minimum_required(VERSION 2.8.12)
-endif()
+cmake_minimum_required(VERSION 3.10)
 
 project(fcl CXX)
 
@@ -85,19 +79,40 @@
   option(FCL_STATIC_LIBRARY "Whether the FCL library should be static rather than shared" OFF)
 endif()
 
+set(SSE_FLAGS "")
+if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
+  set(SSE_FLAGS -mfpmath=sse -msse -msse2 -msse3 -mssse3)
+elseif(MSVC)
+  # Win64 will add the flag automatically
+  if(CMAKE_VS_PLATFORM_NAME STREQUAL "Win32")
+    set(SSE_FLAGS /arch:SSE2)
+  endif()
+endif()
+
 # Whether to enable SSE
-set(SSE_FLAGS "")
-option(FCL_USE_X64_SSE "Whether FCL should x64 SSE instructions" ON)
+if(CMAKE_SYSTEM_NAME STREQUAL "Emscripten")
+  set(FCL_TARGET_SUPPORT_X64_SSE OFF)
+else()
+  # Does the host support SSE
+  cmake_host_system_information(RESULT _has_sse QUERY HAS_SSE)
+  cmake_host_system_information(RESULT _has_sse2 QUERY HAS_SSE2)
+
+  # Does the compiler support SSE
+  include(CheckCXXCompilerFlag)
+  check_cxx_compiler_flag("${SSE_FLAGS}" _compiler_supports_sse)
+
+  if(_has_sse AND _has_sse2 AND _compiler_supports_sse)
+    set(FCL_TARGET_SUPPORT_X64_SSE ON)
+  else()
+    set(FCL_TARGET_SUPPORT_X64_SSE OFF)
+  endif()
+endif()
+option(FCL_USE_X64_SSE "Whether FCL should x64 SSE instructions" ${FCL_TARGET_SUPPORT_X64_SSE})
 if(FCL_USE_X64_SSE)
-  if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
-    set(SSE_FLAGS -mfpmath=sse -msse -msse2 -msse3 -mssse3)
-  elseif(MSVC)
-    # Win64 will add the flag automatically
-    if(CMAKE_VS_PLATFORM_NAME STREQUAL "Win32")
-      set(SSE_FLAGS /arch:SSE2)
-    endif()
-  endif()
   add_compile_options(${SSE_FLAGS})
+else()
+  # Unset SSE_FLAGS so it doesn't get used in subdirectories
+  set(SSE_FLAGS "")
 endif()
 
 option(FCL_USE_HOST_NATIVE_ARCH "Whether FCL should use cflags from the host used to compile" OFF)
@@ -169,17 +184,29 @@
 # find_library()
 if(NOT ccd_FOUND)
   if(PKG_CONFIG_FOUND)
-    pkg_check_modules(PC_CCD ccd)
-    pkg_check_modules(PC_LIBCCD libccd)
-  endif()
-
+    pkg_search_module(PC_CCD ccd libccd)
+  endif()
+
+  # The include directory returned by pkg_config is very unreliable:
+  #  1. PC_CCD_INCLUDE_DIRS cannot locate ccd.h definitively, it could be:
+  #     a) PC_CCD_INCLUDE_DIRS/ccd/ccd.h
+  #     b) PC_CCD_INCLUDE_DIRS/ccd.h
+  #  2. It may be empty due to pkg-config's de-duplication, if the path is
+  #     provided by:
+  #     a) $PKG_CONFIG_SYSTEM_INCLUDE_PATH
+  #     b) $C_INCLUDE_PATH
+  #     c) $CPLUS_INCLUDE_PATH
   find_path(CCD_INCLUDE_DIR ccd/ccd.h
-    HINTS "${PC_CCD_INCLUDE_DIRS}" "${PC_LIBCCD_INCLUDE_DIRS}")
+    HINTS "${PC_CCD_INCLUDE_DIRS}"
+          "${PC_CCD_INCLUDE_DIRS}/.."
+          ENV PKG_CONFIG_SYSTEM_INCLUDE_PATH
+          ENV C_INCLUDE_PATH
+          ENV CPLUS_INCLUDE_PATH)
 
   # Using find_library() even if pkg-config is available ensures that the full
   # path to the ccd library is available in CCD_LIBRARIES
   find_library(CCD_LIBRARY ccd
-    HINTS "${PC_CCD_LIBRARY_DIRS}" "${PC_LIBCCD_LIBRARY_DIRS}")
+    HINTS "${PC_CCD_LIBRARY_DIRS}")
 
   # libccd links to LibM on UNIX.
   if(CYGWIN OR NOT WIN32)
@@ -325,33 +352,3 @@
 )
 
 # Install catkin package.xml
-install(FILES package.xml
-  DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/${PROJECT_NAME}
-  COMPONENT Development
-)
-
-# Add uninstall target
-configure_file(
-  "${CMAKE_CURRENT_SOURCE_DIR}/CMakeModules/cmake_uninstall.cmake.in"
-  "${CMAKE_CURRENT_BINARY_DIR}/CMakeModules/cmake_uninstall.cmake"
-  IMMEDIATE @ONLY)
-add_custom_target(uninstall
-  "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/CMakeModules/cmake_uninstall.cmake")
-
-set(FCL_BUILD_TESTS "DEFAULT" CACHE INTERNAL "Deprecated; use BUILD_TESTING instead.")
-
-if(NOT FCL_BUILD_TESTS STREQUAL "DEFAULT")
-  message(DEPRECATION "FCL_BUILD_TESTS is deprecated; use BUILD_TESTING instead.")
-  if(FCL_BUILD_TESTS)
-    set(_BUILD_TESTING ON)
-  else()
-    set(_BUILD_TESTING OFF)
-  endif()
-  set(BUILD_TESTING ${_BUILD_TESTING} CACHE BOOL "Build the testing tree." FORCE)
-  unset(_BUILD_TESTING)
-endif()
-
-if(BUILD_TESTING AND NOT FCL_HIDE_ALL_SYMBOLS)
-    add_subdirectory(test)
-endif()
-

=== test/CMakeLists.txt ===
#===============================================================================
# Google Test settings
#===============================================================================

include_directories (BEFORE
  ${CMAKE_CURRENT_SOURCE_DIR}/gtest/include
  ${CMAKE_CURRENT_SOURCE_DIR}/gtest
  ${CMAKE_CURRENT_SOURCE_DIR}
)

link_directories(${PROJECT_BINARY_DIR}/test)

# Build gtest
add_library(gtest STATIC gtest/src/gtest-all.cc)
add_library(gtest_main STATIC gtest/src/gtest_main.cc)
target_link_libraries(gtest_main gtest)
if(NOT WIN32)
  target_link_libraries(gtest pthread)
endif()

add_definitions(-DGTEST_DONT_DEFINE_TEST=1)
add_definitions(-DGTEST_DONT_DEFINE_FAIL=1)
add_definitions(-DGTEST_DONT_DEFINE_SUCCEED=1)
add_definitions(-DGTEST_DONT_DEFINE_ASSERT_EQ=1)
add_definitions(-DGTEST_DONT_DEFINE_ASSERT_NE=1)
add_definitions(-DGTEST_DONT_DEFINE_ASSERT_LE=1)
add_definitions(-DGTEST_DONT_DEFINE_ASSERT_LT=1)
add_definitions(-DGTEST_DONT_DEFINE_ASSERT_GE=1)
add_definitions(-DGTEST_DONT_DEFINE_ASSERT_GT=1)

execute_process(COMMAND cmake -E remove_directory ${CMAKE_BINARY_DIR}/test_results)
execute_process(COMMAND cmake -E make_directory ${CMAKE_BINARY_DIR}/test_results)
include_directories(${GTEST_INCLUDE_DIRS})

add_library(test_fcl_utility test_fcl_utility.cpp)
target_link_libraries(test_fcl_utility fcl)

# test file list
set(tests
    test_fcl_auto_diff.cpp
    test_fcl_box_box.cpp
    test_fcl_broadphase_collision_1.cpp
    test_fcl_broadphase_collision_2.cpp
    test_fcl_broadphase_distance.cpp
    test_fcl_bvh_models.cpp
    test_fcl_capsule_box_1.cpp
    test_fcl_capsule_box_2.cpp
    test_fcl_capsule_capsule.cpp
    test_fcl_cylinder_half_space.cpp
    test_fcl_collision.cpp
    test_fcl_constant_eps.cpp
    test_fcl_distance.cpp
    test_fcl_frontlist.cpp
    test_fcl_general.cpp
    test_fcl_generate_bvh_model_deferred_finalize.cpp
    test_fcl_geometric_shapes.cpp
    test_fcl_math.cpp
    test_fcl_profiler.cpp
    test_fcl_shape_mesh_consistency.cpp
    test_fcl_signed_distance.cpp
    test_fcl_simple.cpp
    test_fcl_sphere_box.cpp
    test_fcl_sphere_capsule.cpp
    test_fcl_sphere_cylinder.cpp
    test_fcl_sphere_sphere.cpp
)

if (FCL_HAVE_OCTOMAP)
  list(APPEND tests test_fcl_octomap_cost.cpp)
  list(APPEND tests test_fcl_octomap_collision.cpp)
  list(APPEND tests test_fcl_octomap_distance.cpp)
endif()

macro(add_fcl_test test_file_name)
  # Get the name (i.e. bla.cpp => bla)
  get_filename_component(test_name ${ARGV} NAME_WE)
  add_executable(${test_name} ${ARGV})
  target_link_libraries(${test_name} fcl test_fcl_utility gtest)
  add_test(${test_name} ${EXECUTABLE_OUTPUT_PATH}/${test_name})
endmacro(add_fcl_test)

# configure location of resources
file(TO_NATIVE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/fcl_resources" TEST_RESOURCES_SRC_DIR)
file(TO_NATIVE_PATH "${CMAKE_CURRENT_BINARY_DIR}/fcl_resources" TEST_RESOURCES_BIN_DIR)
if(WIN32)
    # Correct directory separator for Windows
    string(REPLACE "\\" "\\\\" TEST_RESOURCES_SRC_DIR ${TEST_RESOURCES_SRC_DIR})
    string(REPLACE "\\" "\\\\" TEST_RESOURCES_BIN_DIR ${TEST_RESOURCES_BIN_DIR})
endif(WIN32)
configure_file("${TEST_RESOURCES_SRC_DIR}/config.h.in" "${TEST_RESOURCES_BIN_DIR}/config.h")

include_directories(.)
include_directories("${CMAKE_CURRENT_BINARY_DIR}")

# Build all the tests
foreach(test ${tests})
  add_fcl_test(${test})
endforeach(test)

add_subdirectory(geometry)
add_subdirectory(narrowphase)
add_subdirectory(broadphase)

=== include/fcl/CMakeLists.txt ===
# -*- mode: cmake -*-
# vi: set ft=cmake :

# Copyright (c) 2012, Willow Garage, Inc.
# Copyright (c) 2017, Toyota Research Institute, Inc.
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are met:
#
# * Redistributions of source code must retain the above copyright notice, this
#   list of conditions and the following disclaimer.
#
# * Redistributions in binary form must reproduce the above copyright notice,
#   this list of conditions and the following disclaimer in the documentation
#   and/or other materials provided with the distribution.
#
# * Neither the name of the copyright holder nor the names of its
#   contributors may be used to endorse or promote products derived from
#   this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
# AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE
# LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
# POSSIBILITY OF SUCH DAMAGE.

set(GENERATED_FILE_MARKER "GENERATED FILE DO NOT EDIT")

configure_file(config.h.in config.h @ONLY)

generate_export_header(${PROJECT_NAME}
  EXPORT_FILE_NAME export.h
)

get_filename_component(PARENT_BINARY_DIR "${CMAKE_CURRENT_BINARY_DIR}"
  DIRECTORY
)

file(RELATIVE_PATH FCL_CONFIG_H_RELATIVE_PATH
  "${PARENT_BINARY_DIR}" "${CMAKE_CURRENT_BINARY_DIR}/config.h"
)

file(RELATIVE_PATH FCL_EXPORT_H_RELATIVE_PATH
  "${PARENT_BINARY_DIR}" "${CMAKE_CURRENT_BINARY_DIR}/export.h"
)

set(BINARY_DIR_HEADERS
  ${FCL_CONFIG_H_RELATIVE_PATH} ${FCL_EXPORT_H_RELATIVE_PATH}
)

if(CMAKE_VERSION VERSION_LESS 3.12)
  set(CONFIGURE_DEPENDS_OPTION)
else()
  set(CONFIGURE_DEPENDS_OPTION CONFIGURE_DEPENDS)
endif()

get_filename_component(PARENT_SOURCE_DIR "${CMAKE_CURRENT_SOURCE_DIR}"
  DIRECTORY
)

file(GLOB_RECURSE SOURCE_DIR_HEADERS RELATIVE "${PARENT_SOURCE_DIR}"
  ${CONFIGURE_DEPENDS_OPTION} "${CMAKE_CURRENT_SOURCE_DIR}/*.h"
)

set(HEADERS ${BINARY_DIR_HEADERS} ${SOURCE_DIR_HEADERS})
set(INCLUDE_DIRECTIVES)

foreach(HEADER ${HEADERS})
  if(NOT HEADER MATCHES "(/detail/|-inl.h$)")
    set(INCLUDE_DIRECTIVES
      "${INCLUDE_DIRECTIVES}\n#include \"${HEADER}\""
    )
  endif()
endforeach()

string(STRIP "${INCLUDE_DIRECTIVES}" INCLUDE_DIRECTIVES)
configure_file(fcl.h.in fcl.h @ONLY)

install(DIRECTORY "${PARENT_BINARY_DIR}/" "${PARENT_SOURCE_DIR}/"
  DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}"
  COMPONENT Development
  FILES_MATCHING PATTERN "*.h"
  PATTERN "CMakeFiles" EXCLUDE
)

file(GLOB_RECURSE FCL_HEADERS ${CONFIGURE_DEPENDS_OPTION}
  "${CMAKE_CURRENT_BINARY_DIR}/*.h"
  "${CMAKE_CURRENT_SOURCE_DIR}/*.h"
)
set(FCL_HEADERS ${FCL_HEADERS} PARENT_SCOPE)

=== test/broadphase/CMakeLists.txt ===
set(tests
        test_broadphase_dynamic_AABB_tree.cpp
        )

# Build all the tests
foreach(test ${tests})
    add_fcl_test(${test})
endforeach(test)

=== test/narrowphase/detail/CMakeLists.txt ===
set(tests
    test_collision_func_matrix.cpp
    )

# Build all the tests
foreach(test ${tests})
    add_fcl_test(${test})
endforeach(test)

add_subdirectory(convexity_based_algorithm)
add_subdirectory(primitive_shape_algorithm)

=== test/narrowphase/detail/convexity_based_algorithm/CMakeLists.txt ===
--- 
+++ 
@@ -2,6 +2,7 @@
     test_gjk_libccd-inl_epa.cpp
     test_gjk_libccd-inl_extractClosestPoints.cpp
     test_gjk_libccd-inl_gjk_doSimplex2.cpp
+    test_gjk_libccd-inl_gjk_initializer.cpp
 )
 
 # Build all the tests

=== test/narrowphase/detail/primitive_shape_algorithm/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,7 @@
 set(tests
     test_sphere_box.cpp
     test_sphere_cylinder.cpp
+    test_half_space_convex.cpp
 )
 
 # Build all the tests

=== debian/changelog ===
fcl (0.7.0-3build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 18:13:53 +0000

fcl (0.7.0-3build1) noble; urgency=high

  * No change rebuild against liboctomap1.9t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:01:01 +0100

fcl (0.7.0-3) unstable; urgency=medium

  * Move to unstable

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 15 Oct 2021 22:46:53 +0200

fcl (0.7.0-2) experimental; urgency=medium

  * Added patch for sparc64

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 12 Oct 2021 19:40:01 +0000

fcl (0.7.0-1) experimental; urgency=medium

  * Bump standard 4.6.0
  * Simplify watch file
  * New upstream version 0.7.0
  * Rename packages to 0.7 SONAME
  * Remove all patches, they were merged upstream

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 10 Sep 2021 20:19:43 +0000

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: fcl
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Jose Luis Rivero <jrivero@osrfoundation.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
 Section: science
@@ -10,13 +11,13 @@
                libccd-dev,
                liboctomap-dev,
                libeigen3-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/science-team/fcl
 Vcs-Git: https://salsa.debian.org/science-team/fcl.git
 Homepage: https://flexible-collision-library.github.io/
 
-Package: libfcl0.6
+Package: libfcl0.7
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -39,7 +40,7 @@
 Depends: libccd-dev,
          liboctomap-dev,
          libeigen3-dev,
-         libfcl0.6 (= ${binary:Version}),
+         libfcl0.7 (= ${binary:Version}),
          ${misc:Depends}
 Description: Flexible Collision Library - development files
  FCL is a collision and proximity library that integrates several techniques for

=== debian/watch ===
version=4
opts=compression=xz \
  https://github.com/flexible-collision-library/fcl/tags .*(\d+.\d+.\d+)\.tar\.gz
